#!/bin/sh -x

mkdir -p -- "$ISODIR/Metadata"
p="$ISODIR/Metadata/alterator-apt.profile"

echo "(" > "$p"
for f in `find "$ISODIR/ALTLinux" -type f \( ! -name 've-build-scripts-*' -a ! -name 've-base-*' -a -name 've-*' \)`; do
	name= descr=
	values="`rpmquery -p --qf='name=%{name:shescape}; descr=%{summary:shescape};' -- "$f"`" || continue
	eval $values
	[ -z "$name" ] || echo "(\"$name\" summary \"$descr\")"
done >> "$p"
echo ")" >> "$p"
